com.smartgwt.client.bean.types

## Class ObjectArrayValueType<ComponentType>

- java.lang.Object
- - com.smartgwt.client.bean.BeanValueType<ValueType>
  - - com.smartgwt.client.bean.types.ArrayValueType<ComponentType[]>
    - - com.smartgwt.client.bean.types.NonPrimitiveArrayValueType<ComponentType>
      - - com.smartgwt.client.bean.types.ObjectArrayValueType<ComponentType>

-     public class ObjectArrayValueType<ComponentType>
      extends NonPrimitiveArrayValueType<ComponentType>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

      `BeanValueType.Convertability, BeanValueType.MetaFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ObjectArrayValueType(ComponentType[] emptyArray)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComponentType[]` | `emptyArray()`
    `protected java.lang.Class<ComponentType[]>` | `getValueType()`
    `static <T> void` | `registerValueType(T[] emptyArray)`

    - ### Methods inherited from class com.smartgwt.client.bean.types.NonPrimitiveArrayValueType

      `convertFrom, convertFrom, convertFrom, convertFrom, convertFrom, convertFrom, getComponentValueType`

    - ### Methods inherited from class com.smartgwt.client.bean.types.ArrayValueType

      `convertabilityFrom, convertabilityFromPrimitiveArray, convertabilityToComponentType, convertFrom, convertFromPrimitiveArray, getComponentType, isAssignableFrom, leastConvertabilityToComponentType`

    - ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

      `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectArrayValueType

          protected ObjectArrayValueType(ComponentType[] emptyArray)

  - ### Method Detail

    - #### registerValueType

          public static <T> void registerValueType(T[] emptyArray)

    - #### getValueType

          protected java.lang.Class<ComponentType[]> getValueType()

      Specified by:
        `getValueType` in class `BeanValueType<ComponentType[]>`

    - #### emptyArray

          public ComponentType[] emptyArray()

      Specified by:
        `emptyArray` in class `NonPrimitiveArrayValueType<ComponentType>`